import React, { useContext, forwardRef } from 'react';
import { createBEM } from '@zarm-design/bem';
import { ConfigContext } from '../config-provider';
var Week = /*#__PURE__*/forwardRef(function (_props, ref) {
  var _globalLocal$Calendar;

  var _useContext = useContext(ConfigContext),
      prefixCls = _useContext.prefixCls,
      globalLocal = _useContext.locale;

  var weeks = globalLocal === null || globalLocal === void 0 ? void 0 : (_globalLocal$Calendar = globalLocal.Calendar) === null || _globalLocal$Calendar === void 0 ? void 0 : _globalLocal$Calendar.weeks;
  var bem = createBEM('calendar', {
    prefixCls: prefixCls
  });
  var content = weeks === null || weeks === void 0 ? void 0 : weeks.map(function (week) {
    return /*#__PURE__*/React.createElement("li", {
      key: week
    }, week);
  });
  return /*#__PURE__*/React.createElement("ul", {
    className: bem('week'),
    ref: ref
  }, content);
});
export default /*#__PURE__*/React.memo(Week);